16.04: Installation of the 2/15/18 update to compiz forced removal of unity and ubuntu-desktop

Bug #1749839 reported by Bill Miller on 2018-02-15
56
This bug affects 12 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Did a routine update/upgrade on 2/15/18 on a 16.04 Ubuntu system. Received an update to compiz. The upgrade broke unity, forcing its removal and also the removal of ubuntu-desktop. Since I was using LXDE at the time, this didn't kill my system, but I would like to preserve the option of logging into unity in the future.

The package whose absence broke unity seems to be compiz-core-abiversion-20151010. apt-cache policy reports no version of that package available to my system.

First seen on AskUbuntu - https://askubuntu.com/q/1006621/66509 .

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: compiz 1:0.9.12.3+16.04.20171116-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-32.35~16.04.1-generic 4.13.13
Uname: Linux 4.13.0-32-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: LXDE
Date: Thu Feb 15 17:15:00 2018
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. 2nd Generation Core Processor Family Integrated Graphics Controller [1043:1652]
GsettingsChanges:
 b'org.compiz.core' b'outputs' b"['1920x1080+0+0']"
 b'org.compiz.core' b'active-plugins' b"['core', 'composite', 'opengl', 'imgpng', 'copytex', 'vpswitch', 'regex', 'move', 'snap', 'unitymtgrabhandles', 'commands', 'mousepoll', 'grid', 'resize', 'compiztoolbox', 'place', 'animation', 'wall', 'session', 'workarounds', 'expo', 'fade', 'scale', 'ezoom', 'unityshell']"
InstallationDate: Installed on 2016-09-28 (505 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
MachineType: ASUSTeK Computer Inc. K53E
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic root=UUID=44c44079-2f3a-49e6-bab5-67a90d6cda36 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/06/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: K53E.219
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: K53E
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK53E.219:bd03/06/2012:svnASUSTeKComputerInc.:pnK53E:pvr1.0:rvnASUSTeKComputerInc.:rnK53E:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.family: K
dmi.product.name: K53E
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.12.3+16.04.20171116-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.83-1~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.8-0ubuntu0~16.04.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.8-0ubuntu0~16.04.1
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Thu Feb 15 16:36:42 2018
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.19.5-0ubuntu2~16.04.1
xserver.video_driver: modeset

Bill Miller (wbmilleriii) wrote :
Andrew Vian (drewvian) wrote :

I also have this same issue. I did not have another GUI installed, meaning I have no fallback package. No launcher or taskbar is present. Luckily, I can get access a terminal from the drop-down menu by right-clicking the desktop.

tags: added: compiz-0.9
nigel williams (willnige) wrote :

I have the same problem.
I can't re-install unity and have had to install gnome desktop.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Doug McMahon (mc3man) wrote :

Appears unity needs to be rebuilt to the newer compiz-core-abiversion

Norbert (nrbrtx) on 2018-02-16
description: updated
Bill Miller (wbmilleriii) wrote :

As suggested by N0rbert on askubuntu, installing compiz-core-abiversion-20170630 fixes the dependency problem and allows the updates to be installed without removing unity.

Hazhir Rahmani (h4906r) on 2018-02-16
Changed in compiz (Ubuntu):
assignee: nobody → Hazhir Rahmani (h4906r)
assignee: Hazhir Rahmani (h4906r) → nobody
Gord Kunz (kgord99) wrote :

Just want to pass on "Thanks for all your efforts in providing some solutions to this issue". I applied a couple found in askubuntu and resolved my launcher/desktop problems in short order.
I understand the complexity in meeting the various hardware/software configurations of users devices and can accept the odd glitch. Everyone gets on these and resolutions are quickly identified.Thanks again for your efforts!
Gord K
Edmonton, Alberta, Canada

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers